<template>
  <div class="hello">
    <main class="main-home main-inner-page">
      <section class="chanses">
        <div class="container">
          <h2 class="section-title chanses__title">Оцените свои шансы на возврат прав</h2>
          <div class="chanses-list swiper-container">
            <div class="swiper-wrapper">
              <VueSlickCarousel
                class="VueSlickCarousel"
                :variableWidth="true"
                :infinite="true"
                :autoplay="true"
                :slidesToShow="2"
                :slidesToScroll="1"
                :arrows="false"
                :dots="false"
                :pauseOnDotsHover="true"
                :pauseOnFocus="true"
                :autoplaySpeed="7500"
                :swipeToSlide="true"
              >
                <div class="swiper-slide chanses-list__item"
                     v-for="(chance, i) in chance"
                     :key="chance + '-' + i"
                >
                  <router-link :to="{ name: 'Quest', params: { id: chance.article, name: chance.title } }">
                    <p class="chanses-list__item-title">{{chance.article}}</p>
                    <p class="chanses-list__item-txt">{{chance.title}}</p>
                  </router-link>
                </div>
              </VueSlickCarousel>
            </div>
          </div>
        </div>
      </section>
      <section class="participation">
        <div class="container">
          <h2 class="section-title participation__title">Участвовать в<br> онлайн-программах</h2>
          <p class="participation__subtitle">на  {{ dateWebinars }}</p>
          <div class="participation-list swiper-container">
            <div class="swiper-wrapper">
              <VueSlickCarousel
                class="VueSlickCarousel"
                :variableWidth="true"
                :slidesToShow="2"
                :slidesToScroll="1"
                :arrows="false"
                :dots="false"
                :autoplay="true"
                v-if="timetable"
                :infinite="true"
                :pauseOnDotsHover="true"
                :pauseOnFocus="true"
                :autoplaySpeed="7500"
                :swipeToSlide="true"
                >
                <slot v-for="(array, date) in timetable">
                  <router-link
                    to="/webinars"
                    class="swiper-slide dateWebinars participation-list__item"
                    :key="array + date + id"
                    v-if="Object.keys(array.rows).length && Object.keys(timetable).indexOf(date) >= (Object.keys(timetable).length/2) && array.day === dateWebinars"
                    v-for="(value, id) in array.rows"
                  >
                    <div class="participation-list__item-time"> <span>{{value.time}}</span></div>
                    <div class="participation-list__item-txt">{{value.name}}</div>
                    <div class="participation-list__item-places"> {{value.cf[155]}} мест</div>
                  </router-link>
                </slot>
              </VueSlickCarousel>
              <div v-else class="loads-content">
                <div class="lds-dual-ring"></div>
              </div>
            </div>
          </div><router-link class="show-more" to="/webinars"><span>Смотреть все</span><svg width="13" height="10" viewBox="0 0 13 10" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M12.4419 5.44194C12.686 5.19786 12.686 4.80214 12.4419 4.55806L8.46447 0.580583C8.22039 0.336505 7.82466 0.336505 7.58058 0.580583C7.3365 0.82466 7.3365 1.22039 7.58058 1.46447L11.1161 5L7.58058 8.53553C7.3365 8.77961 7.3365 9.17534 7.58058 9.41942C7.82466 9.6635 8.22039 9.6635 8.46447 9.41942L12.4419 5.44194ZM0 5.625H12V4.375H0V5.625Z" fill="#FFED00"/>
        </svg></router-link>
        </div>
      </section>
      <section class="docks">
        <div class="container">
          <h2 class="section-title docks__title">Получить документы по своему делу</h2>
          <div class="docks-list swiper-container">
            <div class="swiper-wrapper" v-if="groups.length">
              <VueSlickCarousel
                :autoplay="true"
                :variableWidth="true"
                :infinite="true"
                :slidesToShow="2"
                :slidesToScroll="1"
                :arrows="false"
                :dots="false"
                :pauseOnDotsHover="true"
                :pauseOnFocus="true"
                :autoplaySpeed="7500"
                :swipeToSlide="true"
              >
                <router-link
                  v-for="(group, i) in groups"
                  :key="i"
                  :to="{ name: 'Docs', params: { name: group.id } }"
                  class="swiper-slide docks-list__item"
                >
                  {{group.name}}
                </router-link>
              </VueSlickCarousel>
            </div>
            <div v-else class="loads-content">
              <div class="lds-dual-ring"></div>
            </div>
          </div>
        </div>
      </section>
      <section class="assign">
        <div class="container">
          <h2 class="section-title assign__title">Подписка Автоюрист</h2>
          <p class="assign__txt">Одна подписка - много возможностей!</p><router-link to="/subscription" class="btn">Подробнее</router-link>
        </div>
      </section>
      <section class="osago">
        <div class="container">
          <h2 class="section-title osago__title">Оформить ОСАГО онлайн</h2>
          <p class="osago__subtitle">Введите номер авто и рассчитайте стоимость ОСАГО сразу в нескольких страховых компаниях. Оформите полис и получите подарок от Автоюрист</p><router-link class="btn btn--wide" :to="{ name: 'Osago' }"> Оформить ОСАГО</router-link>
          <h2 class="section-title osago__title">Бесплатная консультация</h2>
          <form class="osago-form">
            <div class="osago-form__input">
              <input v-model="name" type="text" placeholder="Ваше имя">
            </div>
            <div class="osago-form__input">
              <input v-model="phone" data-inputmask="'mask': '+9(999)999-99-99'" type="text" placeholder="Телефон">
            </div>
            <div class="osago-form__input">
              <textarea v-model="question" placeholder="Задайте вопрос"></textarea>
            </div>
            <label class="osago-form__file">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M21.7528 2.88592C18.7617 -0.105364 13.8944 -0.105364 10.9027 2.88592L1.60236 12.1862C-0.534156 14.323 -0.534015 17.7997 1.60264 19.9363C2.67106 21.0047 4.07403 21.5389 5.47756 21.5387C6.88072 21.5386 8.28444 21.0046 9.35267 19.9363L17.8777 11.411C18.4988 10.79 18.8409 9.96428 18.841 9.08603C18.841 8.20773 18.4991 7.38207 17.8779 6.76089C16.5958 5.4789 14.5096 5.47895 13.2278 6.76112L7.6527 12.3361C7.22469 12.764 7.22469 13.458 7.65261 13.8861C8.08058 14.3142 8.77456 14.314 9.20263 13.8861L14.7778 8.31109C15.2051 7.88373 15.9004 7.88364 16.3278 8.311C16.5348 8.518 16.6488 8.79325 16.6488 9.08598C16.6488 9.37872 16.5348 9.65387 16.3278 9.86097L7.80266 18.3862C6.52058 19.6682 4.43464 19.6683 3.15266 18.3863C1.87067 17.1042 1.87058 15.0182 3.15242 13.7361L12.4527 4.43593C14.5896 2.29918 18.0663 2.29918 20.2028 4.43593C21.2379 5.47093 21.808 6.84714 21.808 8.3109C21.808 9.77467 21.2379 11.1509 20.2028 12.186L10.9026 21.4864C10.4746 21.9144 10.4746 22.6084 10.9027 23.0365C11.1167 23.2505 11.3972 23.3575 11.6777 23.3575C11.9582 23.3575 12.2387 23.2504 12.4527 23.0365L21.7528 13.736C23.2019 12.287 24 10.3603 24 8.31095C24 6.26162 23.2019 4.33496 21.7528 2.88592Z" fill="#FFED00"/>
              </svg>
              <p class="osago-form__file-name">Прикрепить документ</p>
              <input accept="image/jpeg, image/png" ref="file" v-on:change="handleFileUpload()" type="file" name="sender_files">
            </label>
            <p class="osago-form__agree">Отправляя форму вы даёте согласие на <a @click="modal.policy = true">обработку персональных данных</a></p>
            <button class="btn btn--wide" @click.prevent="message">Получить консультацию</button>
          </form>
          <div class="osago-connect">
            <p class="osago-connect__title">Или свяжитесь с нами:</p>
            <div class="osago-connect__links"> <a class="phone" href="tel:+79692310200">
              8 800 201-32-36 <svg width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M9.32361 13.1178L8.78448 10.3647C8.73643 10.1151 8.50816 9.94566 8.26037 9.97801L7.53503 10.1151C7.30376 10.1459 7.0845 9.99804 7.01993 9.76849C6.87876 9.26009 6.67002 8.70392 6.67002 7C6.67002 5.29608 6.87877 4.73991 7.01993 4.23151C7.08451 4.00196 7.30376 3.85406 7.53503 3.88487L8.26038 4.02199C8.50667 4.0528 8.73643 3.88487 8.78449 3.63529L9.02928 2.37969L9.32362 0.882205C9.37468 0.626462 9.22 0.375342 8.97371 0.313717L7.89696 0.0379477C7.60862 -0.039083 7.30076 0.00251398 7.03946 0.150414C6.18346 0.649575 4.66519 2.13011 4.66669 7C4.66819 11.8699 6.18345 13.3504 7.03945 13.8496C7.30075 13.9975 7.60861 14.0391 7.89695 13.9621L8.9737 13.6863C9.21999 13.6247 9.37467 13.3735 9.32361 13.1178Z" fill="#FFED00"/>
            </svg></a>
              <div class="osago-connect__links-msg"> <a target="_blank" class="wp" href="https://wa.me/79692310200"><svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M12.0141 0C5.39531 0 0.0328125 5.37656 0.0328125 11.9672C0.0328125 14.1094 0.595313 16.2094 1.68281 18.0281L0 24L6.15 22.4156C7.95 23.4234 9.95156 23.9391 12.0187 23.9391C18.6375 23.9391 24.0047 18.5812 24.0047 11.9719C24 5.37656 18.6328 0 12.0141 0ZM12.0141 21.9141C10.1906 21.9141 8.4 21.4078 6.84375 20.4609L6.47812 20.2359L2.92031 21.15L3.88125 17.7141L3.6375 17.3297C2.61094 15.7453 2.06719 13.8937 2.06719 11.9719C2.06719 6.49687 6.525 2.03438 12.0187 2.03438C17.5172 2.03438 21.9703 6.49687 21.9703 11.9625C21.9656 17.4516 17.5078 21.9141 12.0141 21.9141ZM18.1172 15.0234L17.9906 15.6C17.85 16.2562 17.4609 16.8328 16.9031 17.2031C16.2 17.6484 15.2672 17.8734 14.1047 17.5547C10.4672 16.5141 8.4 14.1187 7.29844 12.6094C6.19687 11.1 5.775 9.6 6.04688 8.36719C6.225 7.55625 6.82969 6.91406 7.19531 6.59531C7.39219 6.44062 7.62656 6.35156 7.87031 6.35156L8.65313 6.39844C8.79375 6.4125 8.94375 6.49219 9.00469 6.64219L10.125 9.3C10.1859 9.44062 10.1578 9.60469 10.0641 9.7125L9.08438 10.8469C9.00469 10.9406 8.99063 11.0719 9.0375 11.1844C10.3359 13.6781 12.7078 14.6672 13.4109 14.925C13.5375 14.9578 13.6687 14.925 13.7484 14.8172L14.775 13.4906C14.9016 13.35 15.0938 13.2938 15.2672 13.3641L17.8969 14.5828C18.0703 14.6578 18.15 14.85 18.1172 15.0234Z" fill="white"/>
              </svg></a><a target="_blank" class="tg" href="https://t.me/avtourist_online">
                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M1.47191 10.7202L15.7688 4.82803C17.1797 4.21397 21.9657 2.2499 21.9657 2.2499C21.9657 2.2499 24.1735 1.39209 23.9907 3.47803C23.9298 4.33584 23.4376 7.34522 22.9454 10.5937L21.4126 20.2265C21.4126 20.2265 21.2907 21.6374 20.2454 21.8812C19.2001 22.1249 17.4844 21.0233 17.1797 20.7749C16.936 20.5921 12.5766 17.8312 10.9829 16.4812C10.5516 16.1108 10.0641 15.3749 11.0438 14.5171C13.2516 12.5015 15.8907 9.98428 17.4844 8.39053C18.2204 7.65459 18.9563 5.93428 15.8907 8.02022L7.23755 13.8515C7.23755 13.8515 6.25786 14.4655 4.41567 13.9124C2.57817 13.3593 0.426601 12.6233 0.426601 12.6233C0.426601 12.6233 -1.04528 11.6999 1.47191 10.7202Z" fill="white"/>
                </svg></a></div>
            </div>
          </div>
        </div>
      </section>
    </main>
    <Modal
      v-show="modal.show"
      @close="modal.show = false"
      :isClose="modal.isClose"
      :is-policy="false"
    >
      <template v-slot:body>
        <div>
          <div>{{modal.title}}</div>
          <div>{{modal.subtitle}}</div>
        </div>
        <div v-if="!modal.isClose">
          <Loads/>
        </div>
      </template>
    </Modal>
    <Modal
      v-show="modal.policy"
      @close="modal.policy = false"
      :isClose="false"
      :is-policy="false"
    >
      <template v-slot:body>
        <Policy @closedPolicy="modal.policy = false"/>
      </template>
    </Modal>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import 'vue-slick-carousel/dist/vue-slick-carousel.css'
// optional style for arrows & dots
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css'
import axios from 'axios'
import Modal from './Modal'
import Inputmask from 'inputmask'
import Policy from './Policy'
import Loads from './Loads'
export default {
  name: 'hello',
  components: { Loads, Policy, Modal, VueSlickCarousel },
  data () {
    return {
      dateWebinars: null,
      timetable: null,
      chance: [
        {
          article: '12.26',
          title: 'Отказ от медосвиде-тельствования'
        },
        {
          article: '12.8',
          title: 'Управление в состоянии опьянения'
        },
        {
          article: '12.15.4(5)',
          title: 'Выезд на встречную полосу'
        },
        {
          article: '12.27',
          title: 'Скрытие с места ДТП'
        },
        {
          article: '12.2',
          title: 'Управление без номеров и скрытие номеров'
        }
      ],
      name: null,
      phone: null,
      file: null,
      question: null,
      groups: [],
      modal: {
        show: false,
        title: '',
        subtitle: '',
        isClose: true,
        policy: false
      }
    }
  },
  methods: {
    handleFileUpload () {
      this.file = this.$refs.file.files[0]
    },
    message: function () {
      if (!this.name) {
        this.modal.show = true
        this.modal.title = 'Вам необходимо указать как вас зовут'
        this.modal.subtitle = 'Пожалуйста, укажите Ваше имя. Это необходимо для более качественного предоставления услуг'
      } else if (!this.phone) {
        this.modal.show = true
        this.modal.title = 'Вам необходимо указать Ваш номер телефона'
        this.modal.subtitle = 'Пожалуйста, укажите Ваш телефон. Это необходимо для более качественного предоставления услуг. Ваши данные надежно защищены'
      } else {
        const reg = '^\\+\\d{1,3}\\s?\\(\\d{3}\\)\\s?\\d{3}(-\\d{2}){2}$' // для проверки правильности введенного номера
        if (this.phone.match(reg) !== null) {
          const formData = new FormData()
          formData.append('crm', '11')
          formData.append('pipe', '22')
          formData.append('contact[name]', this.name)
          formData.append('contact[199]', this.phone)
          formData.append('contact[200]', this.email)
          formData.append('lead[214]', 'Приложение')
          formData.append('note', 'Заявка с приложения (беспл. консультация) ' + '<br>' + 'Вопрос пользователя: ' + this.question)
          formData.append('photo', this.file)

          this.modal.show = true
          this.modal.title = ''
          this.modal.subtitle = ''
          this.modal.isClose = false

          axios.post('https://urist.v-avtoservice.com/api/import-lead',
            formData,
            {
              headers: {
                'Content-Type': 'multipart/form-data'
              }
            }
          ).then(res => {
            if (res.data.status === 'success') {
              setTimeout(() => { this.modal.show = false; this.step = 3; this.modal.isClose = true }, 1300)
              alert('Заявка успешно отправлена!')
            }
          })
        } else {
          this.modal.show = true
          this.modal.title = 'Номер не корректный!'
          this.modal.subtitle = 'Пожалуйста, укажите правильно номер вашего телефона. Ваши данные надежно защищены.'
        }
      }
    }
  },
  async mounted () {
    const date = new Date()
    const day = date.getDate() > 9 ? date.getDate() : `0${date.getDate()}`
    const month = (date.getMonth() + 1) > 9 ? (date.getMonth() + 1) : `0${(date.getMonth() + 1)}`
    this.dateWebinars = day + '.' + month + '.' + date.getFullYear() % 100
    await axios.get('https://urist2.v-avtoservice.com/list/get-time-table').then(response => {
      this.timetable = response.data
    })
    await axios.get('https://urist1.v-avtoservice.com/list/get-lists?id=31').then(response => {
      this.groups = response.data
    })
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>
.swiper-wrapper {
  min-height: 180px;
}
.swiper-slide {
  width: 110px!important;
  margin: 10px;
}
.docks-list {
  height: 120px;
  max-height: 120px;
  overflow-y: hidden;
}
.swiper-slide.docks-list__item {
  width: 120px!important;
  padding: 10px;
  min-height: 100px;
  max-height: 130px;
}
.swiper-slide.dateWebinars {
  height: auto;
}
.chanses-list__item-txt, .participation-list__item-txt {
  font-size: 11px!important;
}
.lds-dual-ring {
  display: inline-block;
  width: 80px;
  height: 80px;
}
.loads-content {
  display: flex;
  justify-content: center;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #000 transparent #000 transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

</style>
